Bug 131733 - Incorrect path for drift file is generated in /etc/ntp.conf
Incorrect path for drift file is generated in /etc/ntp.conf
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: dhcp (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Depends On:
  Show dependency treegraph
Reported: 2004-09-03 14:40 EDT by Robert Buffington
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: dhcp-3.0.1-7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-03 15:11:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Buffington 2004-09-03 14:40:59 EDT
Description of problem:
The script /sbin/dhclient-script generates the incorrect path for the 
drift file resulting in numerous ntpd errors in the log file and 
dysfunctional ntp operation.

Version-Release number of selected component (if applicable):

How reproducible:
(see below)

Steps to Reproduce:
1. Configure a DHCP server to assign ntp-server.
2. Use DHCP in RHEL3 to automatically configure NTP.
Actual results:
/etc/ntp.conf: driftfile /etc/ntp/data/drift

Expected results:
/etc/ntp.conf: driftfile /var/lib/ntp/drift
(this is the default used in ntp-4.1.2-4.EL3.1)
Additional info:
Comment 1 Jason Vas Dias 2004-09-03 15:11:19 EDT
This was fixed quite a long time ago.
The current version of dhcp is dhcp-3.0.1-7.

This will not be available for RHEL-3 until Update 4.

Meanwhile, you can get the RPMS for
dhcp-3.0.1-6 compiled for RHEL-3 at:

or you can download the latest source RPM:
and build it with:
$ rpmbuild --rebuild dhcp-3.0.1-7.src.rpm
and install the resulting rpms in /usr/src/redhat/RPMS

Comment 2 Robert Buffington 2004-09-03 15:26:26 EDT
Is there a reason why this can't be updated NOW via up2date rather 
than having to wait for RHEL Update 4, especially if it was 
fixed "quite a long time ago"?
Comment 3 Jason Vas Dias 2004-09-03 15:39:52 EDT
All Enterprise Linux packages must undergo rigorous testing,
and none can be modified unless Red Hat customer support 
escalate a bug against a package to "blocking" or "must fix".
DHCP 3.0.1 (released by ISC in July) is undergoing testing and 
will be in RHEL-3-U4 because it fixes a "must fix" bug - 
meanwhile it has been available in FC2 and rawhide (FC3/RHEL-4) .
Comment 4 Kostas Georgiou 2004-10-12 06:52:36 EDT
It should be easy to fix the problem in the current release of dhcp

The following change in /sbin/dhclient-script shouldn't need any huge
QA resources.
-driftfile /etc/ntp/data/drift
+driftfile /var/lib/ntp/drift

Is there any chance to get this small change before U4?

BTW the Resolution of CURRENTRELEASE is wrong, CURRENTRELEASE is U3
which doesn't have the fix, ERRATA or RAWHIDE should be better.

Comment 5 Jason Vas Dias 2004-10-12 09:44:13 EDT
 dhcp-3.0.1-10 is the current dhcp release in RHEL-3-U4, and it does
 fix this problem. 
Comment 6 Kostas Georgiou 2004-10-12 11:52:50 EDT
Yes 3.0.1-10 fixes the problem but RHEL-3-U4 hasn't been *released* yet.

Look for example at bugs: 109528, 118839, 119442, 114890. 
All of them are fixed in U4 but they haven't been closed since U4
isn't available yet.....
Comment 7 Jason Vas Dias 2004-10-12 12:06:54 EDT
 RHEL-3-U4 will be released by the end of this week.
 Meanwhile, you can download the dhcp-3.0.1-10_EL3 packages from:
Comment 8 Kostas Georgiou 2004-10-12 12:15:56 EDT
By the end of this week wow. I am sure i heard December last time i
asked and thats why i complained about U4 not being the *current*
Thanks, you just made my day.
Comment 9 John Flanagan 2004-12-21 14:41:47 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.